/*******************************************************************************
*                         Goggles Music Manager                                *
********************************************************************************
*           Copyright (C) 2006-2008 by Sander Jansen. All Rights Reserved      *
*                               ---                                            *
* This program is free software: you can redistribute it and/or modify         *
* it under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License, or            *
* (at your option) any later version.                                          *
*                                                                              *
* This program is distributed in the hope that it will be useful,              *
* but WITHOUT ANY WARRANTY; without even the implied warranty of               *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                *
* GNU General Public License for more details.                                 *
*                                                                              *
* You should have received a copy of the GNU General Public License            *
* along with this program.  If not, see http://www.gnu.org/licenses.           *
********************************************************************************/
#ifndef GMAPP_H
#define GMAPP_H

class GMClipboard;

class GMApp : public FXApp {
FXDECLARE(GMApp)
protected:
  GMClipboard * clipboard;
protected:
#if FOXVERSION < FXVERSION(1,7,0)
  virtual bool dispatchEvent(FXRawEvent & event);
#else
  virtual FXbool dispatchEvent(FXRawEvent & event);
#endif
public:
  GMApp(const FXString& name="Application",const FXString& vendor="FoxDefault");

  virtual void init(int& argc,char** argv,FXbool connect=true);

	virtual void create();

  ~GMApp();
	};

#endif





